Bug 1668082 (CVE-2018-20676)

Summary: CVE-2018-20676 bootstrap: XSS in the tooltip data-viewport attribute
Product: [Other] Security Response Reporter: Laura Pardo <lpardo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abergmann, alazarot, anstephe, apevec, bkearney, chazlett, dajohnso, dbecker, dblechte, dfediuck, dmetzger, dmoppert, drieden, eedri, etirelli, gblomqui, gmccullo, gtanzill, ibek, jfrey, jhardy, jjoyce, jprause, jschluet, kbasil, kdixon, krathod, kverlaen, lhh, lpeer, lpetrovi, mburns, meissner, mgoldboi, michal.skrivanek, obarenbo, omachace, paradhya, pdrozd, rhos-maint, roliveri, rrajasek, rsynek, rzhang, sbonazzo, sclewis, sdaley, sgratch, sherold, simaishi, slinaber, sthorger, tlestach, yturgema
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: bootstrap 3.4.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-07-12 13:06:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1668083, 1668086, 1673147, 1673148, 1673149, 1673209, 1668084, 1668085, 1673145, 1673146, 1740983    
Bug Blocks: 1668094    

Comment 1 Laura Pardo 2019-01-21 21:28:42 UTC
Created python-XStatic-Bootstrap-SCSS tracking bugs for this issue:

Affects: epel-7 [bug 1668083]
Affects: fedora-all [bug 1668084]
Affects: openstack-rdo [bug 1668086]


Created rubygem-bootstrap-sass tracking bugs for this issue:

Affects: fedora-all [bug 1668085]

Comment 12 errata-xmlrpc 2019-06-11 15:32:23 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.3.2 zip

Via RHSA-2019:1456 https://access.redhat.com/errata/RHSA-2019:1456

Comment 13 Product Security DevOps Team 2019-07-12 13:06:32 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-20676

Comment 14 Doran Moppert 2019-08-14 04:12:06 UTC
This vulnerability was addressed Red Hat Virtualization 4.3 package ovirt-engine-api-explorer via https://access.redhat.com/errata/RHBA-2019:1570

Comment 15 Doran Moppert 2019-08-14 04:12:13 UTC
Statement:

Red Hat CloudForms 4.6 and newer versions include the vulnerable component, but there is no risk of exploitation, since there is no possible vector to access the vulnerability. Older Red Hat CloudForms versions don't use the vulnerable component at all.

Red Hat Virtualization 4.2 EUS contains the affected version of bootstrap in the packages ovirt-js-dependencies and ovirt-engine-dashboard. These packages are deprecated in Red Hat Virtualization 4.3.

Comment 18 errata-xmlrpc 2019-10-10 15:38:42 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization Engine 4.3

Via RHSA-2019:3023 https://access.redhat.com/errata/RHSA-2019:3023